Returns the command reply document

- « MongoDB\Driver\Monitoring\CommandFailedEvent::getPort

- MongoDB\Driver\Monitoring\CommandFailedEvent::getRequestId »

- PHP Manual
- MongoDB\Driver\Monitoring\CommandFailedEvent
- Returns the command reply document

# MongoDB\Driver\Monitoring\CommandFailedEvent::getReply

(mongodb >=1.5.0)

MongoDB\Driver\Monitoring\CommandFailedEvent::getReply — Returns the command reply document

### Description

final public MongoDB\Driver\Monitoring\CommandFailedEvent::getReply(): object

The reply document will be converted from BSON to PHP using the default deserialization rules (e.g. BSON documents will be converted to stdClass).

### Parameters

This function has no parameters.

### Return Values

Returns the command reply document as a stdClass object.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- Application Performance Monitoring (APM)
- Persisting Data